<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: src/GameScene.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GameScene.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="GameScene_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef GameScene_H</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define GameScene_H</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;list&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">class </span><a class="code" href="classGameObject.html">GameObject</a>;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">class </span><a class="code" href="classPlayer.html">Player</a>;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">class </span><a class="code" href="classProjectile.html">Projectile</a>;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">class </span><a class="code" href="classEnemy.html">Enemy</a>;</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">class </span><a class="code" href="classPlayer.html">Player</a>;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">class </span><a class="code" href="classEnemy.html">Enemy</a>;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">class </span><a class="code" href="classBonus.html">Bonus</a>;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classGameScene.html">   20</a></span>&#160;<span class="keyword">class </span><a class="code" href="classGameScene.html">GameScene</a>{</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">static</span> <a class="code" href="classGameScene.html">GameScene</a>&amp; <a class="code" href="classGameScene.html#aa3fd70cbab92a1ac9de85beb9dd24df7">GetInstance</a>();</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<a class="code" href="classGameScene.html#add5bc48c372aaa7f526c02558a8adf00">~GameScene</a>();</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#a4c248243bbb2e5fe84ce8cc8b2594ee1">Start</a>();</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#a2649e608763133b6b2d579d9812d88ac">AddObject</a>(<a class="code" href="classGameObject.html">GameObject</a> * obj);</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#adfa3b78c34506a3eb93d8d5bc50e1e42">ResolveCollisions</a>(<a class="code" href="classGameObject.html">GameObject</a> * obj);</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#a11fd7ac26d1c7962ec44cc599c0aa79d">EndGame</a>();</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#ac8684fb646e9ebb6eaf19d5ec31b29bf">DrawHUD</a>();</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#a3b67d5f252a2bc9c824e057661cca2a0">AddScore</a>(<span class="keyword">const</span> <span class="keywordtype">int</span> &amp; score);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="keywordtype">int</span> <a class="code" href="classGameScene.html#ae7d5de577f89b685e5c4a2b374feabd9">GetScore</a>()<span class="keyword">const</span>;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="classGameScene.html#ac53cc300c8896048c0e21c67e49681b9">   72</a></span>&#160;<a class="code" href="classGameScene.html#ac53cc300c8896048c0e21c67e49681b9">GameScene</a>(){}</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160; </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#af6ff668cfba529e1e514b85a4facee69">Loop</a>();</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160; </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#a5e20f53569ad897e8f3812370576ef01">CollectGarbage</a>();</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#a154886b7862369bfb149c6ed225e04ef">RenderScene</a>();</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160; </div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#a450f178e458976fe403bfb428bcd4d90">UpdateObjects</a>();</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160; </div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#a5e93b787452987763998ae17960a2bb0">DeleteAll</a>();</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#acd9aba7b1e40afa93916271a23c133ca">HandleKey</a>();</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160; </div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#af2617608671f78921b6b066cabe9750a">InitScene</a>();</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160; </div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#ae3369c7f60e4f43fe917d9bdb0984ebd">InitNCurses</a>();</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160; </div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classGameScene.html#a84ba968799615dd9c19fc3d09541474d">PrintGameOver</a>();</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160; </div>
<div class="line"><a name="l00128"></a><span class="lineno"><a class="line" href="classGameScene.html#a3ea8e071bfb2ae13a3e8beb9a335e9bf">  128</a></span>&#160;std::list&lt;GameObject *&gt; <a class="code" href="classGameScene.html#a3ea8e071bfb2ae13a3e8beb9a335e9bf">m_Objects</a>;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160; </div>
<div class="line"><a name="l00130"></a><span class="lineno"><a class="line" href="classGameScene.html#a4682c7a3cec9a8e0ad8f19c51fa34662">  130</a></span>&#160;<a class="code" href="classPlayer.html">Player</a> * <a class="code" href="classGameScene.html#a4682c7a3cec9a8e0ad8f19c51fa34662">m_Player</a>;</div>
<div class="line"><a name="l00131"></a><span class="lineno"><a class="line" href="classGameScene.html#add59861ba980533197f81619b30180a7">  131</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classGameScene.html#add59861ba980533197f81619b30180a7">m_Loop</a>; </div>
<div class="line"><a name="l00132"></a><span class="lineno"><a class="line" href="classGameScene.html#a894da41a73977d541d37881b00e92c5d">  132</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="classGameScene.html#a894da41a73977d541d37881b00e92c5d">m_Score</a>;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;};</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160; </div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* GameScene_H */</span><span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassGameScene_html_a894da41a73977d541d37881b00e92c5d"><div class="ttname"><a href="classGameScene.html#a894da41a73977d541d37881b00e92c5d">GameScene::m_Score</a></div><div class="ttdeci">int m_Score</div><div class="ttdef"><b>Definition:</b> GameScene.h:132</div></div>
<div class="ttc" id="aclassGameObject_html"><div class="ttname"><a href="classGameObject.html">GameObject</a></div><div class="ttdoc">Abstract class that represents GameObject with collision and movement properties.</div><div class="ttdef"><b>Definition:</b> GameObject.h:14</div></div>
<div class="ttc" id="aclassGameScene_html_a5e93b787452987763998ae17960a2bb0"><div class="ttname"><a href="classGameScene.html#a5e93b787452987763998ae17960a2bb0">GameScene::DeleteAll</a></div><div class="ttdeci">void DeleteAll()</div><div class="ttdoc">Deletes all GameObjects.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:136</div></div>
<div class="ttc" id="aclassGameScene_html_a3b67d5f252a2bc9c824e057661cca2a0"><div class="ttname"><a href="classGameScene.html#a3b67d5f252a2bc9c824e057661cca2a0">GameScene::AddScore</a></div><div class="ttdeci">void AddScore(const int &amp;score)</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:151</div></div>
<div class="ttc" id="aclassGameScene_html_a11fd7ac26d1c7962ec44cc599c0aa79d"><div class="ttname"><a href="classGameScene.html#a11fd7ac26d1c7962ec44cc599c0aa79d">GameScene::EndGame</a></div><div class="ttdeci">void EndGame()</div><div class="ttdoc">Ends game displays score.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:38</div></div>
<div class="ttc" id="aclassGameScene_html_a4c248243bbb2e5fe84ce8cc8b2594ee1"><div class="ttname"><a href="classGameScene.html#a4c248243bbb2e5fe84ce8cc8b2594ee1">GameScene::Start</a></div><div class="ttdeci">void Start()</div><div class="ttdoc">Starts game and spawns player.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:26</div></div>
<div class="ttc" id="aclassGameScene_html_add5bc48c372aaa7f526c02558a8adf00"><div class="ttname"><a href="classGameScene.html#add5bc48c372aaa7f526c02558a8adf00">GameScene::~GameScene</a></div><div class="ttdeci">~GameScene()</div><div class="ttdoc">Destroy the Game Scene object and delete all alocated resources.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:19</div></div>
<div class="ttc" id="aclassGameScene_html_af2617608671f78921b6b066cabe9750a"><div class="ttname"><a href="classGameScene.html#af2617608671f78921b6b066cabe9750a">GameScene::InitScene</a></div><div class="ttdeci">void InitScene()</div><div class="ttdoc">Initialize scene at start of new game.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:61</div></div>
<div class="ttc" id="aclassGameScene_html_aa3fd70cbab92a1ac9de85beb9dd24df7"><div class="ttname"><a href="classGameScene.html#aa3fd70cbab92a1ac9de85beb9dd24df7">GameScene::GetInstance</a></div><div class="ttdeci">static GameScene &amp; GetInstance()</div><div class="ttdoc">Get the Instance object.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:14</div></div>
<div class="ttc" id="aclassGameScene_html_ae3369c7f60e4f43fe917d9bdb0984ebd"><div class="ttname"><a href="classGameScene.html#ae3369c7f60e4f43fe917d9bdb0984ebd">GameScene::InitNCurses</a></div><div class="ttdeci">void InitNCurses()</div><div class="ttdoc">Initilize ncurses library.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:53</div></div>
<div class="ttc" id="aclassGameScene_html_a154886b7862369bfb149c6ed225e04ef"><div class="ttname"><a href="classGameScene.html#a154886b7862369bfb149c6ed225e04ef">GameScene::RenderScene</a></div><div class="ttdeci">void RenderScene()</div><div class="ttdoc">Iterates over GameObjects and renders them.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:123</div></div>
<div class="ttc" id="aclassGameScene_html_ac8684fb646e9ebb6eaf19d5ec31b29bf"><div class="ttname"><a href="classGameScene.html#ac8684fb646e9ebb6eaf19d5ec31b29bf">GameScene::DrawHUD</a></div><div class="ttdeci">void DrawHUD()</div><div class="ttdoc">Draws overlay, health, weapon level,score.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:178</div></div>
<div class="ttc" id="aclassGameScene_html_acd9aba7b1e40afa93916271a23c133ca"><div class="ttname"><a href="classGameScene.html#acd9aba7b1e40afa93916271a23c133ca">GameScene::HandleKey</a></div><div class="ttdeci">void HandleKey()</div><div class="ttdoc">Procceses key input.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:160</div></div>
<div class="ttc" id="aclassBonus_html"><div class="ttname"><a href="classBonus.html">Bonus</a></div><div class="ttdoc">Abstract class representing bonuses that can be applied to Player.</div><div class="ttdef"><b>Definition:</b> Bonus.h:12</div></div>
<div class="ttc" id="aclassGameScene_html_a3ea8e071bfb2ae13a3e8beb9a335e9bf"><div class="ttname"><a href="classGameScene.html#a3ea8e071bfb2ae13a3e8beb9a335e9bf">GameScene::m_Objects</a></div><div class="ttdeci">std::list&lt; GameObject * &gt; m_Objects</div><div class="ttdef"><b>Definition:</b> GameScene.h:128</div></div>
<div class="ttc" id="aclassProjectile_html"><div class="ttname"><a href="classProjectile.html">Projectile</a></div><div class="ttdoc">class representing projectiles with their own speed, damage and sprites</div><div class="ttdef"><b>Definition:</b> Projectile.h:12</div></div>
<div class="ttc" id="aclassGameScene_html_a84ba968799615dd9c19fc3d09541474d"><div class="ttname"><a href="classGameScene.html#a84ba968799615dd9c19fc3d09541474d">GameScene::PrintGameOver</a></div><div class="ttdeci">void PrintGameOver()</div><div class="ttdoc">Prints game over screen.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:206</div></div>
<div class="ttc" id="aclassGameScene_html_adfa3b78c34506a3eb93d8d5bc50e1e42"><div class="ttname"><a href="classGameScene.html#adfa3b78c34506a3eb93d8d5bc50e1e42">GameScene::ResolveCollisions</a></div><div class="ttdeci">void ResolveCollisions(GameObject *obj)</div><div class="ttdoc">Iterates over all GameObjects in memory and performs intersection.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:96</div></div>
<div class="ttc" id="aclassEnemy_html"><div class="ttname"><a href="classEnemy.html">Enemy</a></div><div class="ttdoc">Represents enemy, it shoots diferent type of projectiles and has chance to drop bonus on death.</div><div class="ttdef"><b>Definition:</b> Enemy.h:15</div></div>
<div class="ttc" id="aclassGameScene_html"><div class="ttname"><a href="classGameScene.html">GameScene</a></div><div class="ttdoc">Mayer singlton class of GameScene, keeps track of all GameObjects. Updates GameObjects,...</div><div class="ttdef"><b>Definition:</b> GameScene.h:20</div></div>
<div class="ttc" id="aclassGameScene_html_ac53cc300c8896048c0e21c67e49681b9"><div class="ttname"><a href="classGameScene.html#ac53cc300c8896048c0e21c67e49681b9">GameScene::GameScene</a></div><div class="ttdeci">GameScene()</div><div class="ttdoc">Private constructor to achiave singleton pattern.</div><div class="ttdef"><b>Definition:</b> GameScene.h:72</div></div>
<div class="ttc" id="aclassGameScene_html_a5e20f53569ad897e8f3812370576ef01"><div class="ttname"><a href="classGameScene.html#a5e20f53569ad897e8f3812370576ef01">GameScene::CollectGarbage</a></div><div class="ttdeci">void CollectGarbage()</div><div class="ttdoc">Collects and deletes flaged GameObjects.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:109</div></div>
<div class="ttc" id="aclassGameScene_html_add59861ba980533197f81619b30180a7"><div class="ttname"><a href="classGameScene.html#add59861ba980533197f81619b30180a7">GameScene::m_Loop</a></div><div class="ttdeci">bool m_Loop</div><div class="ttdef"><b>Definition:</b> GameScene.h:131</div></div>
<div class="ttc" id="aclassPlayer_html"><div class="ttname"><a href="classPlayer.html">Player</a></div><div class="ttdoc">Represent player, takes user input.</div><div class="ttdef"><b>Definition:</b> Player.h:14</div></div>
<div class="ttc" id="aclassGameScene_html_ae7d5de577f89b685e5c4a2b374feabd9"><div class="ttname"><a href="classGameScene.html#ae7d5de577f89b685e5c4a2b374feabd9">GameScene::GetScore</a></div><div class="ttdeci">int GetScore() const</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:156</div></div>
<div class="ttc" id="aclassGameScene_html_a450f178e458976fe403bfb428bcd4d90"><div class="ttname"><a href="classGameScene.html#a450f178e458976fe403bfb428bcd4d90">GameScene::UpdateObjects</a></div><div class="ttdeci">void UpdateObjects()</div><div class="ttdoc">Iterates iver GameObjets and updates them.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:88</div></div>
<div class="ttc" id="aclassGameScene_html_af6ff668cfba529e1e514b85a4facee69"><div class="ttname"><a href="classGameScene.html#af6ff668cfba529e1e514b85a4facee69">GameScene::Loop</a></div><div class="ttdeci">void Loop()</div><div class="ttdoc">Game loop updates, renders, resolves, collision, spawn GameObjects.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:71</div></div>
<div class="ttc" id="aclassGameScene_html_a4682c7a3cec9a8e0ad8f19c51fa34662"><div class="ttname"><a href="classGameScene.html#a4682c7a3cec9a8e0ad8f19c51fa34662">GameScene::m_Player</a></div><div class="ttdeci">Player * m_Player</div><div class="ttdef"><b>Definition:</b> GameScene.h:130</div></div>
<div class="ttc" id="aclassGameScene_html_a2649e608763133b6b2d579d9812d88ac"><div class="ttname"><a href="classGameScene.html#a2649e608763133b6b2d579d9812d88ac">GameScene::AddObject</a></div><div class="ttdeci">void AddObject(GameObject *obj)</div><div class="ttdoc">Adds GameObject to list of GameObjects.</div><div class="ttdef"><b>Definition:</b> GameScene.cpp:145</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
